C=======================================================================
C A.FOR VAX/VMS 50_33 2-JUN-1983 15:44 SYS$USERS:[050033.D.WORK]A.FOR;1*
C=======================================================================
C                                                                      *
C                              DONALD ECCLESTONE                       *
C                                     AND                              *
C                                DAN GAHLINGER                         *
C                                   PRESENT                            *
C                                      -                               *
C                        T H E   H O L Y   T E R R O R                 *
C                                                                      *
C                       TTTTT RRRR  EEEEE K   K 77777                  *
C                         T   R   R E     K  K      7                  *
C                         T   RRRR  EEEE  KKK      7                   *
C                         T   R  R  E     K  K    7                    *
C                         T   R   R EEEEE K   K  7                     *
C                                                                      *
C=======================================================================
C                                                                      *
C  COPYRIGHT (C) 1979  DONALD M. ECCLESTONE    (VAX/VMS FORTRAN)       *
C            74 HUNT VILLAGE CRESCENT, LONDON ONTARIO CANADA  N6H 4A4  *
C                                                                      *
C=======================================================================
C                                                                      *
C  COPYRIGHT (C) 1993  DAN GAHLINGER - (MSDOS/486/AMD-K2-400/FORTRAN)  *
C            INTERNET - DAN@VRX.NET --- HTTP://NEXUS.VRX.NET/TREK7     *
C                                                                      *
C=======================================================================
C THE FOLLOWING PUNCHES MAY BE FOUND IN THIS DECK -                    *
C THE ALPHABET -- ABCDEFGHIJKLMNOPQRSTUVWXYZ                           *
C THE DIGITS -- 0123456789                                             *
C        12-8-7    EXCLAMATION MARK              !!!!!!!!!!!!!!!!!!!!!!!
C        0-8-5     QUOTATION MARK (DOUBLE QUOTE) """""""""""""""""""""""
C        0-8-6     NUMBER SIGN (POUND SIGN)      #######################
C        11-8-3    DOLLAR SIGN                   $$$$$$$$$$$$$$$$$$$$$$$
C        0-8-7     PERCENT SIGN                  %%%%%%%%%%%%%%%%%%%%%%%
C        11-8-7    AMPERSAND                     &&&&&&&&&&&&&&&&&&&&&&&
C        8-4       APOSTROPHE (SINGLE QUOTE)     '''''''''''''''''''''''
C        0-8-4     LEFT PARNETHESIS              (((((((((((((((((((((((
C        12-8-4    RIGHT PARNETHESIS             )))))))))))))))))))))))
C        11-8-4    ASTERISK                      ***********************
C        12        PLUS SIGN                     +++++++++++++++++++++++
C        0-8-3     COMMA                         ,,,,,,,,,,,,,,,,,,,,,,,
C        11        MINUS SIGN (HYPHEN) (DASH)    -----------------------
C        12-8-3    PERIOD (DECIMAL POINT)        .......................
C        0-1       SLASH                         ///////////////////////
C        11-0      COLON                         :::::::::::::::::::::::

C        0-8-2     SEMICOLON                     ;;;;;;;;;;;;;;;;;;;;;;;
C        12-8-6    LEFT ANGLE BRACKET (LESS THAN)<<<<<<<<<<<<<<<<<<<<<<<
C        8-3       EQUAL SIGN                    =======================
C        11-8-6    RIGHT ANGLE BRACKET(GREATER THAN)  >>>>>>>>>>>>>>>>>>
C        12-0      QUESTION MARK                 ???????????????????????
C        8-5       AT SIGN                       @@@@@@@@@@@@@@@@@@@@@@@
C        11-8-5    LEFT SQUARE BRACKET           [[[[[[[[[[[[[[[[[[[[[[[
C        8-7       BACKSLASH                     \\\\\\\\\\\\\\\\\\\\\\\
C        12-8-5    RIGHT SQUARE BRACKET          ]]]]]]]]]]]]]]]]]]]]]]]
C        8-5       UP-ARROW (CIRCUMFLEX)         ^^^^^^^^^^^^^^^^^^^^^^^
C        8-2       BACK-ARROW OR UNDERSCORE      _______________________
C=======================================================================
C                                                                      *
C  A - MAINLINE AND OFT-USED ROUTINES                                  *
C  B - USER COMMAND ROUTINES                                           *
C  C - M-O SHIP OPERATIONS                                             *
C  D - SHIP INITIALIZATION                                             *
C  E - C-O SHIP OPERATIONS                                             *
C  F - SHIP DAMAGE ROUTINES                                            *
C  G - MISC. ROUTINES (C-O WEAPONRY, ION STORMS, M-O NEW TURN, REPAIR) *
C                                                                      *
C=======================================================================
C                                                                      *
C                           TREK7 MODULE A                             *
C                                                                      *
C        MAINLINE AND OFT-USED ROUTINES                                *
C                                                                      *
C        MAINLINE  GAMOVR    RANDO     HORTA     CYRANO    DI          *
C        ANG       FOSTER    IXIF      LOKI      ILLDAT    OOPS        *
C        ILLDAS                                                        *
C                                                                      *
C=======================================================================
C***** MODULE NOTE: A.FOR (KLIN <- HANDWRITTEN) *****
      INTEGER CMAND(26)
      LOGICAL ITAKA(6)
      LOGICAL GAMOVR,SULU,SAREK,SPOCK,HARPO,LARRY,CURLY
      COMMON /A/IT,IS,II(2),IJ(2),I3,JS,ISHAK,NOSTOP
      COMMON /B/NDEAB(2),IPHOB(2),IONB(2),IGOB(2),IFIB(2)
      COMMON /C/L,A,B,I,NA,IV,I7,I8,N,DISTP,AJUST,MIN,ISTAT,JTK,KOENIG,
     *IGNORE,IO,IGOL(80)
      COMMON /D/DFLCT(4),DFLCK(8),DFLCB(2)
      COMMON /E/PHASR(4),TWARP(4),IPHOT(4),NDEAD(4),ISURR(4)
      COMMON /F/WARP(4),ITROW(4),ITCOL(4)
      COMMON /G/ZAP(4),ICOLA(4),IROWA(4),LOCK(4),ICOIL(4)
      COMMON /H/ANGLE(4),RANG(4),LOCKT(4)
      COMMON /I/IONK(8),ISPOK(8),ION(4),ISPOT(4)
      COMMON /J/KODE(2,8),STATIC(4)
      COMMON /K/IWHO(8),DIST(8),KILLZ,KILLR,KILLD,KILLG,IGOCO(8)
      COMMON /L/IENTR(4),IENTC(4),IKLNR(8),IKLNC(8),IGLER(25),IGLEC(25),
     *IBASR(2),IBASC(2),LI2(4),LI2R(5),LI2C(5),IGO(4),MINES
      COMMON /M/MAP(60,60),IBLK,IENM1(8),IEE(4),IGLE,IM(4),III,ISTAR
      COMMON /N/INAME(3,4),IENM2(4,8),ISIDE(3,2),IBASE(2)
      COMMON /O/MA(4,33),K(4,14),NOMAP(4),MANUM(4),HIVEL(4,2),ITEMP(4),
     *NOMOV(4)
      COMMON /P/IPULL(4),IPUSH(4),PULL(4),PUSH(4),IPULLR(4),IPULLC(4),
     *IPUSHR(4),IPUSHC(4)
      COMMON /Q/IARMZ(6),INDUZ,IXRYZ,IMAGZ,IMAGRZ,IABSZ,ISTAZ,INVIZ(4),
     *ICLOZ,IONNO,IPLANZ,IRUNZ,IDEVZ,IDRIZ,IMAXZ
      COMMON /R/IPBSC(4),IBPSB(8),IBPSS(2),IBPSE(25)
      COMMON /S/IBPOB(8),IBPOE(25)
      COMMON /T/ICHOE(4),ICHOS(8),ICHOB(2)
      COMMON /U/LAUNCH,NUMOUT,NUME(2)
      COMMON /V/IWEB(2),IWEBZ,INVIS(4)
      COMMON /W/IDEX(2,33,20)
        COMMON /TOM/ITOM
      EQUIVELENCE (II(1),I1),(II(2),I2)
      DATA CMAND/'IN','MA','TR','CO','PH','TO','GO','CA','EA',
     *'BO','YA','DE','HE','MI','RE','RA','CE','AT','DA','CR','SP'
     *'EN','NO','SU','HN','VE'/
      DATA NO/'N'/
        ITOM=12345

      L=5

      WRITE(L,*)' TYPE IN A RANDOM NUMBER BETWEEN 1-32767'
        READ(L,*)ITOM

C***** ABOVE WRITE WAS ORIGINALLY 1-99999 *****

      CALL HARLIE
946   IGO(1)=0
94    CALL FIZBIN
      LAST=0
      NOSTOP=0
      IO=0
      IF(IGO(1).EQ.0)MINES=0
890   DO 128 I=1,4
      IGO(I)=0
      IF(ICHOE(I).EQ.0)GO TO 128
      L=I+4
800   FORMAT(' TYPE HELP FOR HELP')
128     CONTINUE
130     IT=O
        L=4
129     IT=IT+l
        IF(IT.GT.4)GO TO 23310
        IBORD=O
        L=IBPSC(IT)+4
        JS=(IT+I)/2
        IS=(IBPSC(IT)+I)/2
        IPUSH(IT)=O
        IPULL(IT)=O
        STATIC(IT)=O
        NANU=O
        IF(ICHOE(IT).NE.1)GO TO 129
        CALL SAURON

234     WRITE(L,10)(INAME(100,IT),IQO=1,3)

10      FORMAT(/IX,3A4,' COMMAND:
        A=0.0
        B=0.0
        READ(L,920,ERR=3)NA,A,B
920     FORMAT(A2,lX,2F)
        IGOL(I)=IBLK
        GO TO 4
        A=0.0
        B=o. 0
        CALL ILLDAS(IGOL,L)
        DO 636 I=1,26
        IF(CMAND(I). EQ. NA)GO TO (585, 517, 632, 15, 11, 13,330,
670,3001,

*680,310,320,571,666,900,700,2OOi2lOi360,352,351,

        *705,350,519,690,695),l
636 CONTINUE
                WRITE(L,800)
                GO TO 234

C               IN
585     CALL INFO
        GO TO 234
C               MA
517     CALL GODOT
C       GO TO 234       TR

632     CALL SCOTT
        GO TO 234

C               CO
        CALL AREX

c       GO TO 234       PH
11      CALL MRESS
C       GO TO 234       TO
13      CALL CHEKOV
C       GO TO 234       CA

670     CALL CANCELXIBORD)
        GO TO 234

C
3001    CALL GOLLUM
        GO TO 234

EA

c               Bo
680     CALL ORWELL(IBORD,NUMBO,IRBO,ICBO)
        GO TO 234
c               YA
310     CALL TRACLC
        GO TO 234

I

C               DE
320     CALL DEFLOC
        GO TO 234
C               HE
571     CALL INST
        GO TO 234

C
666

        IF(LOCKT(IT).NE.1)GO TO 669
        DISTP=RANG(IT)
        IF(A.EQ.O)GO TO 6660
        RANG(IT)=A
        GO TO 6661
6660    WRITE(L,667)
667     FORMAT(' ENTER RANGE AT WHICH TORPEDO IS TO BECOME ATNE         BETWEE

*N 1.5 AND 10') READ(L,*,ERR=66801)RANG(IT)

24      FORMAT(F)
6661    IF(RANG(IT).LT.I.5.OR.RANG(IT).GT.10.)Gn Tn AAMn
        r%m -7-m -- ~

Ml





C               DE
320     CALL DEFLOC
        GO TO 234
C               HE
571     CALL INST
        GO TO 234

C
666

Mi

        IF(LOCKT(IT).NE.1)GO TO 668
        DISTP=RANG(IT)
        IF(A.EQ.0)G0 TO 6660
        RANG(IT)=A
        GO TO 6661
6660    WRITE(L,667)
667     FORMAT(' ENTER RANGE AT WHICH TORPEDO IS TO BECOME A MINE       BETWEE

*N 1.5 AND 10') READ(L,*,ERR=66BO1)RANG(IT)

24      FORMAT(F)
6661    IF(RANG(IT).LT.1.5.GR.RANG(IT).GT.10.)GO TO 6680
        GO TO 234
66801   CALL ILLDAT
6660    CALL,OOPS(L)
        RANG(IT)=DISTP
        GO TO 234
        WRITE(L,6683)
        FORMAT(' PLEASE USE TORPEDO COMMAND BEFORE THIS COMMAND')
        GO TO 234

668
6683

c
C                       RE
900             CALL BLOCH
        GO TO 234
C                       RA
700     CALL UHURA
        GO TO 234
C                       CE
200     CALL SHADOW(l)
        GO TO 234
C                       AT
210     CALL SHADOW(O)
        GO TO 234

360

359

362

        18=0
        WRITE(L,359)
        FORMAT(' DAMAGE FACTOR
        DO 3611 1=1,33
        17=MA(IT,I)+l
        IF(17.EQ.I)GO TO 3611
        18=1
        WRITE(L,362)I7
        FORMAT(I3,'-'.,$)
        CALL FORB IN (JS., I, L, '+)
3611 CONTINUE
        IF(I8.EQ.0)WRITE(L,3612)
3612 FORMAT(' NO DAMAGE TO SHIP')
        GO TO 234

DECK')

I

352     WRITE(L,1450)
1450    FORMAT(' CREW-')

                DO 1440 I=1,4
                IF(ICHOE(I).NE.1)GO TO 1440     Jw",
                IF(IBPSC(l).EG.IBPSC(IT))WRITE(L,3!53)NDEAD(I),
        *(INAME(IQ0pI),IQ0=1,3)
353             FORMAT(IX,14,' ON ',3A4)

1440    CONTINUE
        DO 1451 I=1,2

        IF(ICHOB(I).EG.O)GO TO 1451
        IF(IBPSS(I).EG.IS)WRITE(L,146)NDEAB(I),IBASE(I)
146     FORMAT(IX,I4,' ON STARBASE',I3)
1451            CONTINUE
        IF(IBPOB(7).EG.O)GO TO 354
        DO 355 I=1,8
        IF(I.EQ.7.OR.ICHOS(I).EQ.0)GO TO 355
        IF(IBPOB(I).EQ.0)GO TO 355
        IF(IBPSB(I).NE.IS)GO TO 355
        WRITE(L,356)IBPOB(I),(IENM2(N,I),N=1,4)
356     FORMAT(IX,I4,' ON ',4A4)
355     CONTINUE

354     IF(NUME(IS).EQ.0)GO TO 234
        DO 357 I=1,LAUNCH
        IF(IBPOE(l).EG.O)GO TO 357
        IF(IGLER(I).EQ.0)GO TO 357
        IF(IBPSE(l).NE.IS)GO TO 357
        WRITE(L,358)IBPOE(I),l

358     FORMAT(lX,I4,' ON EAGLE ",12)
357     CONTINUE
        GO TO 234
C
351     CALL VULCAN

GO TO 234 c 705 CALL ECCLE(NANU)

GO TO 234

350     NOSTOP=l

                GO TO 234
        C
        519     IF(IJ(3-IS).EQ.0)GO TO 51c?O
                DO 170 I=1,4
                IF(ICHOE(I).EQ.0)GO TO 170
r               17=I+4
                WRITE(17,171)(INAME(IGO,IT),IGOI=1,3)

171     FORMAT(' THE ',3A4,' WISHES TO SURRENDER')
170     CONTINUE
        ISUV(IT)=l
        WRI E (L,133)

133

41

C? 1

96
300

10
~

m

FORMAT(' PLEASE PRESENT YOUR SURRENDER TO THE NEAREST ENEMY VESSEL

*f)

        GO TO 234
5190    WRITE(L,910)(INAME(IGO,IT),IGO=1,3)
910     FORMAT(/' THE STARSHIP ',3A4, ' IS NOW RAISING THE WHITE FLAG')
        WRITE(L, 91)IBASE((IBPSC(IT)+l)/2), (INAME(IGO, IT), IGO=I,',)
        FORMAT (/' STARBASE',, 13, ' CALLING THE ', 3A4, /' DUE TO YOUR COWARDL

*Y SURRENDER, WE HAVE LOST FACE. '/' FOR THIS ACT YOU ARE DEMOTED TO
        CESSPOOL CLEANER 4TH CLASS.')

        MAP(IENTR(IT))IENTC(IT))=IBLK
        IF(ISPOT(IT).EG.1)MAP(IENTR(IT),IENTC(IT))=IlI
        ICHOE(IT)=O
        IJ(IS)=IJ(IS)-l
        II(IS)=II(IS)-l
        LAST=L
        IF(Il+I2.EQ.0)GO TO 98
        GO TO 129
        WRITE(LASTo300)
        FORMAT(' ANOTHER GAME'?")
        READ(LAST,92).,NA

92      FORMAT(Al)
        L=LAST
        IF(NO.NE.NA)GO TO 940

%or
,

WRITE(LAST,90)

90      FORMAT('l',15('-'),"    KEEP ON TREKKIN"        IF ANY E

*RRORS ARE DETECTED, PLEASE SEND ME A COPY OF THE"/' ERRONEOUS PART

* OF THE GAME. ALSO, IF YOU HAVE ANY COMMENTS, '/' COMPLAINTS, COMPL

*IMENTS, QUESTIONS OR SUGGESTIONS ABOUT THE'l,' PRGGRAMr-+-AM ANXIOU

*S TO HEAR THEM.'/////', CONTACT-'//'   i_~ONALD ECCLESTONE,",/,
5X,

7-4-HVNT VILLAGE CRES_.'~'/'    LONDON, __tANADA--'T-5X,        4A

        61rbp
940     IF(MINES.GT.5)GO TO 946
        DO 945 I=1,4
        IF(IENTR(I).EQ.0)GO TO 945
        MAP(IENTR(I),IENTC(I))=IBLK

IF(ISPOT(I).EG.1)MAP(IENTR(I)tIENTC(I))=III

945     CONTINUE

DO 942 I=1,8
IF(ICHOS(I).EQ.0)GO TO 942

MAO I TLC I KID IT% - TU I KJr I T I %=TT21 U



4

9w

945

x

AS,     941

        WRITE(LAST,90)
90      FORMAT('l',15(`-'),'    KEEP ON TREKKIN"        IF ANY E

        *RRORS ARE DETECTED,    PLEASE SEND ME A COPY OF THE'/' ERRONEOUS PART
        * OF THE GAME. ALSO, IF YOU HAVE ANY COMMENTS, I/` COMPLAINTS,  COMPL
        *IMENTS,        QUESTIONS OR SUGGESTIONS ABOUT THE'l! PRGGRAMr--f--AM ANXIOU

        *S TO HEAR THEM.'./////', CONTACT-'//'  aONALD ECCLESTONE,"'/ 5X
        *1 74-HVNT VILLAGE Ck~ES_.'~'/' L
        * qT_/ 11 1 11 ) __     __ .1 - - --------- -------
                eTop
940             IF(MINES.GT.5)GO TO 946
                DO 945 1=1,4
                IF(IENTR(l).EQ.0)GO TO 945
                MAP(IENTR(I),IENTC(I))=IBLK

        IF(ISPOT(I).EG.I)MAP(IENTR(I),IENTC(I))=III
        CONTINUE
        DO 942 I=1,8
        IF(ICHOS(I).EG.O)GO TO 942
        MAP(IKLNR(I),IKLNC(l))=IBLK
        IF(ISPOK(l).EG.1)MAP(IKLNR(l),IKLNC(I))=III
942     CONTINUE
        IF(NUMOUT.EG.O)GO TO 944
        DO 943 I=1,25
        IF(IGLER(I).NE.O)MAP(IGLER(l),IGLEC(I))=IBLK
943     CONTINUE
944     IGO(1)=l
        WRITE(LAST,941)
        FORMAT(' SAME MAP?')
        READ(LAST,92)NA
        IF(NA.EQ.NO)IGO(1)=0
        GO TO 94

C
690

C
695

696

333
331

A

la~

401

335

ONDON, _0_NT-,,'l-_ --CANADA. '-i X, I  I- 1~

CONTINUE
GO TO 234

CONTINUE
WRITE(L,696)
FORMAT(' 7.0 DEVELOPMENTAL)
GO TO 234

C
330             IF(IGOL(l).NE.IBLK)GO TO 331
3380            WRITE(L,332)
332             FORMAT(' ENTER COMMAND STRING (M,P,T,B,Y,D,C,H FORHELP)')
                READ(LP333)IGOL
                FORMAT(BOAI)
                IF(IGOL(l).NE.'H')GO TO 334
                WRITE(L,335)
                FORMAT( ' ENTER A STRING OF CHARACTERS INDICATING THE SEQUENCE IN W
        *HICH'/' YOU WISH TO EXECUTE AN ACTION - TYPE'/' "M" TO MOVE'/' '
        *'P" TO FIRE PHASERS'/' "T" TO FIRE TORPS/DISRUPTORSI/I "B" TO
        * INITIATE A BOARDING PARTY'/' "Y" TO ENGAGE A TRACTOR BEAM'/' AN
        *D/OR ' ' D ' ' TO ENGAGE A DEFLEC TOR BEAM. '/ / ' EG. I F YOU W I SH TO F I RE
         A TORPEDO THEN ENGAGE A TRACTOR BEAM THEN INITIATE A'/ r BOARDING
         PARTY THEN MOVE THEN FIRE PHASERS THEN ENGAGE A DEFLECTOR BEAM, '/
        *' TYPE "TYBMPD". '/' NOTE THAT YOU DON"T HAVE TOUSE ALL THE CHA
        *RACTERS-'/' COMMANDS SUCH AS "M" OR "PT" OR "BY" ARE POSSIEL
        *E. ')
                WRITE(L,336)

336     FORMAT( ' IF THE FIRST CHARACTER IN THE STRING IS A "C  THE
                GO COMMAND IS CANCELLED')

        WRITE(L,337)

337     FORMAT(' OTHER FORMS--'/' EG.   B(M) (PT) -IF THE BOARD IS SUCCESSFUL
        *,      WE MOVE ELSE WE FIRE PHASERS AND TORPEDOES. '/' THUS THE BACKUS-N
        *AUR    FORM OF THE GO-LINE IS-'/' <GO-LINE>: : =<GO-CHAR>. / <GO-CHAR>(<
HN VE
GO
